<?xml version="1.0" encoding="utf-8"?>
<!--
    Copyright (c) 2021-2022 Qualcomm Innovation Center, Inc.

    Redistribution and use in source and binary forms, with or without
    modification, are permitted (subject to the limitations in the
    disclaimer below) provided that the following conditions are met:

      * Redistributions of source code must retain the above copyright
        notice, this list of conditions and the following disclaimer.

      * Redistributions in binary form must reproduce the above
        copyright notice, this list of conditions and the following
        disclaimer in the documentation and/or other materials provided
        with the distribution.

      * Neither the name of Qualcomm Innovation Center nor the names of its
        contributors may be used to endorse or promote products derived
        from this software without specific prior written permission.

    NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE
    GRANTED BY THIS LICENSE. THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT
    HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED
    WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
    MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
    IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
    ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
    GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
    INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
    IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
    OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
    IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.qualcomm.qti.server.qtiwifi">

    <uses-sdk android:minSdkVersion="33" android:targetSdkVersion="33" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <permission android:name="com.qualcomm.permission.QTI_WIFI"
                android:protectionLevel="signatureOrSystem"
                android:label="@string/perm_label"
                android:description="@string/perm_desc"/>
    <uses-permission android:name="com.qualcomm.permission.QTI_WIFI"/>

    <application
        android:allowBackup="false"
        android:label="@string/app_name"
        android:icon="@mipmap/icon"
        android:supportsRtl="true">

        <!-- defining the service class here -->
        <service android:name="com.qualcomm.qti.server.qtiwifi.QtiWifiService"
                 android:exported="true"
                 android:enabled="true">
            <intent-filter>
                <action android:name="com.qualcomm.qti.server.qtiwifi.QtiWifiService"/>
            </intent-filter>
        </service>
    </application>

</manifest>
